package pps.core.base.service.data.base_excel;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import pps.core.base.excel.OilExtractionPlantImpl;
import pps.core.base.excel.RunTypeImpl;
import pps.core.common.excel.config.ExcelSelected;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * excel井口模板
 *
 * @author ZWT
 * @date 2024/05/09
 */
@Data
public class ExcelWellheadTemplate implements Serializable {

    private static final long serialVersionUID = -6773651457799858074L;

    /**
     * 采油厂名称
     */
    @ExcelSelected(sourceClass = OilExtractionPlantImpl.class)
    @ExcelProperty(index = 0, value = "采油厂名称")
    private String ouName;

    /**
     * 井号
     */
    @ExcelProperty(index = 1, value = "井号")
    private String wellNumber;

    /**
     * 运行类型
     */
    @ExcelSelected(sourceClass = RunTypeImpl.class)
    @ExcelProperty(index = 2, value = "运行类型")
    private String runTypeName;

    /**
     * 运行功率(KW)
     */
    @ExcelProperty(index = 3, value = "运行功率(KW)")
    private BigDecimal serviceRating;

    /**
     * 额定功率(KW)
     */
    @ExcelProperty(index = 4, value = "额定功率(KW)")
    private BigDecimal ratedPower;
}